Reports' Descriptions and Configuration
Prev | Chapter 10. Email Reports | Next

## Reports' Descriptions and Configuration

### Deliveries Attempts By Period By Status Email Report

ID: `deliveries-by-period-by-status`

Chart: None

This report shows the number of delivery attempts that resulted in a specific status, aggregated in configurable time periods.

Parameters

`period`

  This parameter controls the time period over which the deliveries are aggregated.

  Defaults to `1d`.

### Deliveries Attempts By Period Email Report

ID: `deliveries-by-period`

Chart: histogram

This report shows the number of delivery attempts aggregated in configurable time periods.

Parameters

`period`

  This parameter controls the time period over which the deliveries are aggregated.

  Defaults to `1d`.

### Deliveries Attempts By Delay Email Report

ID: `deliveries-by-delay`

Chart: None

This report shows the number of deliveries attempts aggregated in configurable delay range.

Parameters

`delay-size`

  This parameter controls the size of the delay ranges over which the deliveries are aggregated.

  Defaults to `1s`.

### Deliveries Attempts By Size Email Report

ID: `deliveries-by-size`

Chart: None

This report shows the number of deliveries attempts aggregated in configurable size range.

Parameters

`size`

  This parameter controls the size of the size ranges over which the deliveries are aggregated.

  Defaults to `1k`.

### Failed Deliveries By Relay Email Report

ID: `errors-by-to-relay`

Chart: None

This report shows the errors that happened for each relay that was contacted.

This report doesn't have any parameters.

### Different From Domain by Period Email Report

ID: `from_domain-by-period`

Chart: None

This report shows the number of different email domains that used your email server in an given period.

Parameters

`period`

  This parameter controls the time period which will be used to compute different domains. For example, if you use `1d` here, you'll get the number of different source email addresses' domain that sended email through your server in one day.

  Defaults to `1d`.

### Different From Email for Selected Domains by Period Email Report

ID: `from_user-from-domain-by-period`

Chart: None

This report shows the number of different local parts from some domains that sended at least an email through the mail system in a given period.

Parameters

`period`

  This parameter controls the time period which will be used to compute different user. For example, if you use `1d` here, you'll get the number of different email addresses' from the selected domains that sended email through your server in one day.

  Defaults to `1d`.

`select_domain`

  This parameter contains a regexp that will be used to select the domains for which different from addresses will be computed.

  Defaults to `.*`.

### Different To Domain by Period Email Report

ID: `to_domain-by-period`

Chart: None

This report shows the number of different email domains to which the server sent an email in an given period.

Parameters

`period`

  This parameter controls the time period which will be used to compute different domains. For example, if you use `1d` here, you'll get the number of different destination email addresses' domain that received an email through your server in one day.

  Defaults to `1d`.

### Different To Email for Selected Domains by Period Email Report

ID: `to_user-from-domain-by-period`

Chart: None

This report shows the number of different local parts from some domains that received at least an email through the mail system in a given period.

Parameters

`period`

  This parameter controls the time period which will be used to compute different user. For example, if you use `1d` here, you'll get the number of different email addresses' from the selected domains that received an email through your server in one day.

  Defaults to `1d`.

`select_domain`

  This parameter contains a regexp that will be used to select the domains for which different to addresses will be computed.

  Defaults to `.*`.

### Highest Average Delay By To Relay And To Domain Email Report

ID: `top-avg-delay-by-to-relay-and-to-domain`

Chart: None

This report shows the relay and domain with the highest average delay.

Parameters

`delay_to_show`

  This parameter controls the number of delay to display in the report.

  Defaults to `10`.

### Most Deliveries Between Relays Email Report

ID: `top-deliveries-btw-relays`

Chart: None

This report lists the connections between two relays with the most deliveries.

Parameters

`connection_to_show`

  This parameter controls the number of connections to display in the report.

  Defaults to `10`.

### Most Deliveries From Domain Email Report

ID: `top-from-domain`

Chart: bars

This report lists the domain from which we received the most emails.

Parameters

`domain_to_show`

  This parameter controls the number of domains to display in the report.

  Defaults to `10`.

### Most Deliveries From User By Domain Email Report

ID: `top-from-email-by-domain`

Chart: None

This report lists the user by domain from which we received the most emails.

Parameters

`domain_to_show`

  This parameter controls the number of domains to display in the report.

  Defaults to `30`.

`user_to_show`

  This parameter controls the number of user by domain to display in the report.

  Defaults to `5`.

### Most Deliveries From Relay Email Report

ID: `top-from-relay`

Chart: bars

This report lists the relay from which we received the most emails.

Parameters

`relay_to_show`

  This parameter controls the number of relays to display in the report.

  Defaults to `10`.

### Largest Email Exchange Email Report

ID: `top-largest-email-exchange`

Chart: None

This report the sender and recipient that exchange the largest volume of email.

Parameters

`exchange_to_show`

  This parameter controls the number of sender, recipient to display in the report.

  Defaults to `10`.

`msg_to_show`

  This parameter controls the number of messages to display in the report.

  Defaults to `5`.

### Largest Email Exchange Per Relay Pair Email Report

ID: `top-largest-email-exchange-per-relay`

Chart: None

This report lists the pairs of from- and to-relays which exchanged the largest volume of email.

Parameters

`exchange_to_show`

  This parameter controls the number of from-relays to display in the report.

  Defaults to `10`.

`msg_to_show`

  This parameter controls the number of to-relays per from-relay to display in the report.

  Defaults to `5`.

### Status Summary For Most Common Domains

ID: `top-status-by-domain`

Chart: histogram

This report is a summary for the most common domains.

Parameters

`domain_to_show`

  This parameter controls the number of domains to display in the report.

  Defaults to `10`.

### Most Deliveries To Domain Email Report

ID: `top-to-domain`

Chart: bars

This report lists the domain to which we sent the most emails.

Parameters

`domain_to_show`

  This parameter controls the number of domains to display in the report.

  Defaults to `10`.

### Most Deliveries To User By Domain Email Report

ID: `top-to-email-by-domain`

Chart: None

This report lists the user by domain to which we sent the most emails.

Parameters

`domain_to_show`

  This parameter controls the number of domains to display in the report.

  Defaults to `30`.

`user_to_show`

  This parameter controls the number of user by domain to display in the report.

  Defaults to `5`.

### Most Deliveries From Relay Email Report

ID: `top-to-relay`

Chart: bars

This report lists the relay to which we sent the most emails.

Parameters

`relay_to_show`

  This parameter controls the number of relays to display in the report.

  Defaults to `10`.

### Largest Volume Received From Domain Email Report

ID: `top-volume-from-domain`

Chart: bars

This report lists the domain from which we received the largest volume of mail.

Parameters

`domain_to_show`

  This parameter controls the number of domains to display in the report.

  Defaults to `10`.

### Largest Volume Sent To Domain Email Report

ID: `top-volume-to-domain`

Chart: bars

This report lists the domains to which the largest volume of mail was sent.

Parameters

`domain_to_show`

  This parameter controls the number of domains to display in the report.

  Defaults to `10`.

### Tracked Recipients Email Report

ID: `tracked-recipients`

Chart: None

This report shows the number of messages received from each sender for selected recipient emails.

Parameters

`tracked_email_re`

  This parameter controls which recipient emails will be included in the report. E.g. "joe\\@example\\.com" or "(joe|ann|mailer-daemon)\\@example\\.org" or "root\\@example\\.com|john\\.doe\\@example\\.net": regexp's should be Perl style, with suitable escaping.

  Defaults to `.*`.

### Tracked Senders Email Report

ID: `tracked-senders`

Chart: None

This report shows the number of messages sent to each recipients for selected sender emails.

Parameters

`tracked_email_re`

  This parameter controls which sender emails will be included in the report. E.g. "joe\\@example\\.com" or "(joe|ann|mailer-daemon)\\@example\\.org" or "root\\@example\\.com|john\\.doe\\@example\\.net": regexp's should be Perl style, with suitable escaping.

  Defaults to `.*`.

### Volume Delivered By Period Email Report

ID: `volume-by-period`

Chart: histogram

This report shows the volume of delivered emails in configurable time period.

Parameters

`period`

  This parameter controls the time period over which the deliveries are aggregated.

  Defaults to `1d`.

### Email Summary

ID: `summary`

Chart: histogram

This report shows a summary of email deliveries.

This report doesn't have any parameters.

Prev | Up | Next
Chapter 10. Email Reports | Home | Filters' Descriptions and Configuration